#define F_CPU 16000000UL

#include <avr/io.h>	// Device specific declarations
#include "ff14a/source/ff.h"		// Declarations of FatFs API
#include "ff14a/source/uart.h"
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <string.h>

FATFS FatFs;		// FatFs work area needed for each volume

#define UART_BAUD_RATE 115200



int main(void) {
	FIL fil;        /* File object */
    char line[100]; /* Line buffer */
    FRESULT fr;     /* FatFs return code */
uart_init(UART_BAUD_SELECT(UART_BAUD_RATE, F_CPU));

    /*
     * Now enable interrupt, since UART library is interrupt controlled
     */
    sei();

    /*
     *  Transmit string to UART
     *  The string is buffered by the uart library in a circular buffer
     *  and one character at a time is transmitted to the UART using interrupts.
     *  uart_puts() blocks if it can not write the whole string to the circular
     *  buffer
     */


	// Give a work area to the default drive
	


    /* Give a work area to the default drive */
    f_mount(&FatFs, "", 0);

    /* Open a text file */
    fr = f_open(&fil, "message.txt", FA_WRITE | FA_CREATE_ALWAYS);
    if (fr) uart0_putc(fr);

    /* Read every line and display it */
 

    /* Close the file */
    f_close(&fil);

    return 0;
}